Skip to main content
GET
List session messages
The devin_id is the session ID prefixed with devin- (e.g., devin-abc123).

Permissions

Requires a service user with the ViewAccountSessions permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

devin_id
string | null
required

Devin session ID (prefix: devin-)

Example:

"devin-abc123def456"

Query Parameters

qs
CursorPaginationParams · object
required
org_id
string | null

Response

Successful Response

items
SessionMessage · object[]
required
end_cursor
string | null

Cursor to fetch the next page, or None if this is the last page.

has_next_page
boolean
default:false

Whether there are more items available after this page.

total
integer | null

Optional total count (can be omitted for performance).